Package ghidra.rmi.trace

# Class TraceRmi.RequestEndTx.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestEndTx.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestEndTx.Builder>
ghidra.rmi.trace.TraceRmi.RequestEndTx.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.RequestEndTxOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.RequestEndTx`

public static final class TraceRmi.RequestEndTx.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestEndTx.Builder> implements TraceRmi.RequestEndTxOrBuilder
Protobuf type `ghidra.rmi.trace.RequestEndTx`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.RequestEndTx`
  `build()`
  `TraceRmi.RequestEndTx`
  `buildPartial()`
  `TraceRmi.RequestEndTx.Builder`
  `clear()`
  `TraceRmi.RequestEndTx.Builder`
  `clearAbort()`
  `bool abort = 3;`
  `TraceRmi.RequestEndTx.Builder`
  `clearOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestEndTx.Builder`
  `clearTxid()`
  `.ghidra.rmi.trace.TxId txid = 2;`
  `boolean`
  `getAbort()`
  `bool abort = 3;`
  `TraceRmi.RequestEndTx`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjId.Builder`
  `getOidBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.TxId`
  `getTxid()`
  `.ghidra.rmi.trace.TxId txid = 2;`
  `TraceRmi.TxId.Builder`
  `getTxidBuilder()`
  `.ghidra.rmi.trace.TxId txid = 2;`
  `TraceRmi.TxIdOrBuilder`
  `getTxidOrBuilder()`
  `.ghidra.rmi.trace.TxId txid = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasTxid()`
  `.ghidra.rmi.trace.TxId txid = 2;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.RequestEndTx.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.RequestEndTx.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.RequestEndTx.Builder`
  `mergeFrom(TraceRmi.RequestEndTx other)`
  `TraceRmi.RequestEndTx.Builder`
  `mergeOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestEndTx.Builder`
  `mergeTxid(TraceRmi.TxId value)`
  `.ghidra.rmi.trace.TxId txid = 2;`
  `TraceRmi.RequestEndTx.Builder`
  `setAbort(boolean value)`
  `bool abort = 3;`
  `TraceRmi.RequestEndTx.Builder`
  `setOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestEndTx.Builder`
  `setOid(TraceRmi.DomObjId.Builder builderForValue)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestEndTx.Builder`
  `setTxid(TraceRmi.TxId value)`
  `.ghidra.rmi.trace.TxId txid = 2;`
  `TraceRmi.RequestEndTx.Builder`
  `setTxid(TraceRmi.TxId.Builder builderForValue)`
  `.ghidra.rmi.trace.TxId txid = 2;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestEndTx.Builder>`

  - ### clear

    public TraceRmi.RequestEndTx.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestEndTx.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestEndTx.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.RequestEndTx getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.RequestEndTx build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.RequestEndTx buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.RequestEndTx.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestEndTx.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestEndTx.Builder mergeFrom(TraceRmi.RequestEndTx other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestEndTx.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestEndTx.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestEndTx.Builder>`
    Throws:
      `IOException`

  - ### hasOid

    public boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `hasOid` in interface `TraceRmi.RequestEndTxOrBuilder`
    Returns:
      Whether the oid field is set.

  - ### getOid

    public TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOid` in interface `TraceRmi.RequestEndTxOrBuilder`
    Returns:
      The oid.

  - ### setOid

    public TraceRmi.RequestEndTx.Builder setOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### setOid

    public TraceRmi.RequestEndTx.Builder setOid(TraceRmi.DomObjId.Builder builderForValue)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### mergeOid

    public TraceRmi.RequestEndTx.Builder mergeOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### clearOid

    public TraceRmi.RequestEndTx.Builder clearOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidBuilder

    public TraceRmi.DomObjId.Builder getOidBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidOrBuilder

    public TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOidOrBuilder` in interface `TraceRmi.RequestEndTxOrBuilder`

  - ### hasTxid

    public boolean hasTxid()
    `.ghidra.rmi.trace.TxId txid = 2;`
    Specified by:
      `hasTxid` in interface `TraceRmi.RequestEndTxOrBuilder`
    Returns:
      Whether the txid field is set.

  - ### getTxid

    public TraceRmi.TxId getTxid()
    `.ghidra.rmi.trace.TxId txid = 2;`
    Specified by:
      `getTxid` in interface `TraceRmi.RequestEndTxOrBuilder`
    Returns:
      The txid.

  - ### setTxid

    public TraceRmi.RequestEndTx.Builder setTxid(TraceRmi.TxId value)
    `.ghidra.rmi.trace.TxId txid = 2;`

  - ### setTxid

    public TraceRmi.RequestEndTx.Builder setTxid(TraceRmi.TxId.Builder builderForValue)
    `.ghidra.rmi.trace.TxId txid = 2;`

  - ### mergeTxid

    public TraceRmi.RequestEndTx.Builder mergeTxid(TraceRmi.TxId value)
    `.ghidra.rmi.trace.TxId txid = 2;`

  - ### clearTxid

    public TraceRmi.RequestEndTx.Builder clearTxid()
    `.ghidra.rmi.trace.TxId txid = 2;`

  - ### getTxidBuilder

    public TraceRmi.TxId.Builder getTxidBuilder()
    `.ghidra.rmi.trace.TxId txid = 2;`

  - ### getTxidOrBuilder

    public TraceRmi.TxIdOrBuilder getTxidOrBuilder()
    `.ghidra.rmi.trace.TxId txid = 2;`
    Specified by:
      `getTxidOrBuilder` in interface `TraceRmi.RequestEndTxOrBuilder`

  - ### getAbort

    public boolean getAbort()
    `bool abort = 3;`
    Specified by:
      `getAbort` in interface `TraceRmi.RequestEndTxOrBuilder`
    Returns:
      The abort.

  - ### setAbort

    public TraceRmi.RequestEndTx.Builder setAbort(boolean value)
    `bool abort = 3;`
    Parameters:
      `value` - The abort to set.
    Returns:
      This builder for chaining.

  - ### clearAbort

    public TraceRmi.RequestEndTx.Builder clearAbort()
    `bool abort = 3;`
    Returns:
      This builder for chaining.